Bug 8536 - control sftp subsystem doesn't work in x86_64 arch
: control sftp subsystem doesn't work in x86_64 arch
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssh-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-21 21:12 by
Modified: 2005-12-01 21:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-21 21:12:19
openssh-server-3.6.1p2-alt6 on sisyphus/x86_64.

'control sftp enabled' sets "Subsystem       sftp    /usr/lib/openssh/sftp-server
" in sshd_config, while it should set path to /usr/lib64/.
Steps to Reproduce:
1. control sftp enabled
2. try to sftp onto box
------- Comment #1 From 2005-11-21 21:15:26 -------
No, /usr/lib/openssh should live in %_libexecdir instead of %_libdir.
------- Comment #2 From 2005-11-21 21:29:23 -------
nevertheless, sftp as binary executable should live in arch-specific place, or i
miss something? ;)
------- Comment #3 From 2005-11-21 21:54:02 -------
Yes, you miss: sftp executable lives in %_bindir/
------- Comment #4 From 2005-11-21 23:03:28 -------
sorry, sftp-server of course
------- Comment #5 From 2005-11-30 17:32:40 -------
Fixed in openssh-server-3.6.1p2-alt7.
------- Comment #6 From 2005-12-01 21:09:00 -------
Похоже на то, спасибо!